Subject: [alpine-aports] [PATCH] testing/php-imagick: new aport (http://bugs.alpinelinux.org/issues/4814)

From: Valery Kartel <[email-masked]>
Date: Fri, 6 Nov 2015 16:52:25 +0200

---
 testing/php-imagick/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/php-imagick/APKBUILD

diff --git a/testing/php-imagick/APKBUILD b/testing/php-imagick/APKBUILD
new file mode 100644
index 0000000..7af34b2
--- /dev/null
+++ b/testing/php-imagick/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=php-imagick
+_pkgreal=imagick
+pkgver=3.3.0_rc2
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP bindings to the ImageMagick library."
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends imagemagick-dev libtool"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+	[ -d "$pkgdir"/usr/include ] && rm -fr "$pkgdir"/usr/include
+}
+
+md5sums="a7878badbe45671c1b760b0fe54fba11  imagick-3.3.0RC2.tgz"
+sha256sums="a6892bc3991772c4622376b7ec18e29e20787b10043600efec0da35b48f5e41b  imagick-3.3.0RC2.tgz"
+sha512sums="15122c7ed3c69ed1865e4910b2217b292075d80f62b50ab0d0aa9e2cf479a8cb47b06c0201ef62d4541cb7c94bb6e8dcf0fd719a6105e31f44955e87ce47aa44  imagick-3.3.0RC2.tgz"
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---